Skip to main content
POST
https://api.tensormesh.ai
/
v1
/
admin
/
billing
/
balances
Get Users Balance
curl --request POST \
  --url https://api.tensormesh.ai/v1/admin/billing/balances \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "<string>",
  "targetUserIds": [
    "<string>"
  ]
}
'
{
  "balances": [
    {
      "userId": "<string>",
      "balance": {
        "currencyCode": "<string>",
        "units": "<string>",
        "nanos": 123
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Body

application/json

AdminGetUsersBalanceRequest is the request for user balances.

userId
string

The unique ID of the operator user.

targetUserIds
string[]

The unique IDs of the target users.

Response

A successful response.

AdminGetUsersBalanceResponse is the response for user balances.

balances
object[]

The users' current balances.